Page MenuHomePhabricator

Package envoy 1.9.X for stretch and use it as redis proxy on docker registry
Closed, ResolvedPublic

Description

We already use twemproxy / nutcracker as a redis proxy on mediawiki app servers but since twemproxy is unmaintained and envoy does support redis proxy protocol is a good opportunity to explore its usage. Sadly packaging envoy is going to be challenging since the build process is a little bit complex involving bazel, luckily we already have a docker image for envoy building

Event Timeline

fsero triaged this task as Normal priority.Feb 11 2019, 3:52 PM
fsero created this task.
fsero moved this task from Backlog to In progress on the Prod-Kubernetes board.Feb 13 2019, 4:16 PM
fsero moved this task from Backlog to In progress on the User-fsero board.Feb 18 2019, 2:55 PM

Change 491951 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/debs/envoyproxy@wikimedia-stretch] Initial debianization for envoyproxy

https://gerrit.wikimedia.org/r/491951

Change 492254 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add debian-glue job to operations/debs/envoyproxy

https://gerrit.wikimedia.org/r/492254

Change 492254 merged by jenkins-bot:
[integration/config@master] Add debian-glue job to operations/debs/envoyproxy

https://gerrit.wikimedia.org/r/492254

Change 491951 merged by Fsero:
[operations/debs/envoyproxy@wikimedia-stretch] Initial debianization for envoyproxy

https://gerrit.wikimedia.org/r/491951

Mentioned in SAL (#wikimedia-operations) [2019-02-25T16:17:31Z] <fsero> upload envoy 1.9.0 to stretch-wikimedia T215810

fsero renamed this task from Package envoy 1.9.0 for stretch and use it as redis proxy on docker registry to Package envoy 1.9.X for stretch and use it as redis proxy on docker registry.Apr 8 2019, 10:30 AM

Building 1.9.1 due to CVE

Mentioned in SAL (#wikimedia-operations) [2019-04-08T11:11:56Z] <fsero> upgrading envoy to 1.9.1 T215810

Building 1.9.1 due to CVE

Adding CVE 2019-9900 and CVE 2019-9901 for better searchability, references are https://github.com/envoyproxy/envoy/issues/6434 and https://github.com/envoyproxy/envoy/issues/6435

fsero closed this task as Resolved.Jul 24 2019, 8:15 AM

package is done and uploaded long time ago.

Change 491951 merged by Fsero:
[operations/debs/envoyproxy@wikimedia-stretch] Initial debianization for envoyproxy

https://gerrit.wikimedia.org/r/491951